This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 206134 - Review Request: guiloader-c++ - C++ Binding to GuiLoader Library
Review Request: guiloader-c++ - C++ Binding to GuiLoader Library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On: 206122
Blocks: FE-ACCEPT 175168
  Show dependency treegraph
 
Reported: 2006-09-12 07:41 EDT by Denis Leroy
Modified: 2008-11-27 02:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-06 05:55:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Denis Leroy 2006-09-12 07:41:21 EDT
Spec URL: http://www.poolshark.org/src/guiloader-c++.spec
SRPM URL: http://www.poolshark.org/src/guiloader-c++-2.8.0-1.src.rpm

Description:
GuiLoader/C++ is a C++ binding to GuiLoader library. It is a
convenience layer that simplifies development of GuiLoader based
applications written in C++ language by introducing exception safety,
binding GTK+ objects defined in GuiXml to C++ variables and type-safe
dynamic connection to signals.

Notes:
Like guiloader, this package is part of the Gideon project (GUI designer for C++ Gtk2/Gnome apps) and used to be part of the gideon tarball.
Comment 1 Mamoru TASAKA 2006-10-05 18:35:05 EDT
I will review this later.
Comment 2 Mamoru TASAKA 2006-10-06 01:20:53 EDT
Well, the review of this package:

1. From http://fedoraproject.org/wiki/Packaging/Guidelines :
  = Nothing.

2. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :

* Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
  - So, add "Requires: pkgconfig" to -devel package.

Fix the pkgconfig issue above. Other things are okay.

------------------------------------------------------
  This package (guiloader-c++) is APPROVED by me.
Comment 3 Denis Leroy 2006-10-06 05:55:38 EDT
pkgconfig Requires added. Imported and built. thanks!!
Comment 4 Fabian Affolter 2008-11-26 18:40:07 EST
This packages was never build for Fedora and then it was marked as 'dead'.

Project URL: http://sourceforge.net/projects/crow-designer/
Current version: 2.12.1

Can you please update the spec file and build it for Fedora? Thanks.

P.S.
- The license has changed from GPL to MIT.
- Devel requirement 'Requires: pkgconfig' is still missing
- There are translation (at least in the latest version) 'BuildRequires: gettext' is missing
Comment 5 Mamoru TASAKA 2008-11-26 21:27:55 EST
To Fabian:

Denis seemed to have some reason not to build this package (see the content
of dead.package in Fedora CVS).
As it is already long time since this package is not build, if this package
is to be imported into Fedora again a new review request is needed and
it must be reviewed newly. If you want to maintain this package please
submit a new review request and mark this review request a duplicate
of the new one.

Thank you!
Comment 6 Denis Leroy 2008-11-27 02:23:27 EST
Right, crow/gideon was abandoned by upstream before it was completed. It was abandoned after the author went on a insulting spree on the gnome mailing list, then later apologized. A very weird story all in all. There have been some sporadic updates since then, but the upstream website still claims the project is "no longer under active development".

I've just released ownership of both guiloader's in packagedb. Feel free to reclaim them and submit a new review if you're interested.

Note You need to log in before you can comment on or make changes to this bug.